-other auth
    -pam if user exists but has no passphrase
    -keystone?
    -ad? (specialized to the AD case)
-expressionkeys never gets smaller - perf impact
-When a user account is changed, have httpapi and sockapi notified of changes
 to kill off related sessions.  password changes are given a pass, but user
 deletion will result in immediate session termination
-When the time comes to dole out configuration/discovery, take page from xCAT
    'flexdiscover' command, if possible bring an ipmi device under management
    by way of ipv6 to eliminate requirement for ip to be specified.
    Requires the polling event support (which is required for security anyway)

-this stack trace (happened with method was set to ""):
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/eventlet/wsgi.py", line 402, in handle_one_response
    for data in result:
  File "/home/jbjohnso/Development/confluent/confluent/httpapi.py", line 301, in resourcehandler
    cfgmgr, querydict)
  File "/home/jbjohnso/Development/confluent/confluent/pluginapi.py", line 273, in handle_path
    passvalue = pluginmap[plugpath].__dict__[operation](
KeyError: ''


-have pyghmi and friends do multiprocessing pools
-investigate console behavior when target off (causing disconnects/reconnects
 on input)
-test to make sure that 'Session Disconnected' is working
-confetty to do right thing with respect to status updates when run right on a
 console.  It currently clutters up the screen with data that would land in
 a titlebar
-audit log did not show confetty activity for starting console
-read exclusive and full exclusive console access modes
-remove the socket ignore code from pyghmi and repeat tests to understand
 why python 2.7 with excessive select() would transpose typing so badly...
 while the problem cannot be reproduced without that problem fixed, the
 problem should only cause poor performance, not induce transpose of data...
 -test out bg_sync in cfg to make sure if it runs just before a change it doesn't cause loss
-set boot/nextdevice=cd after exiting console did:
/nodes/n3/ -> set boot/nextdevice=cd
Traceback (most recent call last):
  File "/usr/bin/confetty", line 561, in <module>
    do_command(currcommand, netserver)
  File "/usr/bin/confetty", line 300, in do_command
    setvalues(argv[1:])
  File "/usr/bin/confetty", line 369, in setvalues
    print_result(res)
  File "/usr/bin/confetty", line 211, in print_result
    for key in res.iterkeys():
AttributeError: 'str' object has no attribute 'iterkeys'
-/detected/ collection
  -SLP snooping: snoop for srvrequests, likel
-Config backup/restore
    -seal to password
-Scenario was somehow solconnection object is 'broken' (broken=True) but the supervising console manager
 never notices.  The 'write()' doesn't raise an exception, just returns.
     -pyghmi should except on attempt to write to broken console I think...
     -need to investigate what path does not end up getting immediate notification
     for disconnection
     -last observed when a switch between confluent and imm was resetting in a loop
      while it was trying to keep console open as much as possibl
 -cs._handled_consoles[('n4', None)]._console.handle_data({'error':1}) is how I was able to
  kick the session state back to working order after whatever event that was missed above
  occurred.
 -save and restore the terminal title on startup/exit respectively